Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jca
Class DelegateWorkManager

    java.lang.Object
      org.mule.module.jca.DelegateWorkManager

All Implemented Interfaces:
  edu.emory.mathcs.backport.java.util.concurrent.Executor, javax.resource.spi.work.WorkManager, Disposable, Startable

    public class DelegateWorkManager

extends Object
implements WorkManager

`DelegateWorkManager` is a wrapper around a WorkManager provided by a JCA container.

Nested Class Summary
`protected static class` | `DelegateWorkManager.RunnableWorkAdapter`

Field Summary

Fields inherited from interface javax.resource.spi.work.WorkManager
`IMMEDIATE, INDEFINITE, UNKNOWN`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`DelegateWorkManager(javax.resource.spi.work.WorkManager workManager2)`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`void` | `doWork(javax.resource.spi.work.Work work)`
`void` | `doWork(javax.resource.spi.work.Work work, long l, javax.resource.spi.work.ExecutionContext executionContext, javax.resource.spi.work.WorkListener workListener)`
`void` | `execute(Runnable command)`
`ImmutableThreadingProfile` | `getThreadingProfile()`
`boolean` | `isStarted()` Is the WorkManager ready to accept work?
`void` | `scheduleWork(javax.resource.spi.work.Work work)`
`void` | `scheduleWork(javax.resource.spi.work.Work work, long l, javax.resource.spi.work.ExecutionContext executionContext, javax.resource.spi.work.WorkListener workListener)`
`void` | `start()`
`long` | `startWork(javax.resource.spi.work.Work work)`
`long` | `startWork(javax.resource.spi.work.Work work, long l, javax.resource.spi.work.ExecutionContext executionContext, javax.resource.spi.work.WorkListener workListener)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegateWorkManager

    public DelegateWorkManager(javax.resource.spi.work.WorkManager workManager2)

Method Detail

### doWork

    public void doWork(javax.resource.spi.work.Work work)
                throws javax.resource.spi.work.WorkException

  Specified by:
    `doWork` in interface `javax.resource.spi.work.WorkManager`
  Throws:
    `javax.resource.spi.work.WorkException`

### doWork

    public void doWork(javax.resource.spi.work.Work work,
                       long l,
                       javax.resource.spi.work.ExecutionContext executionContext,
                       javax.resource.spi.work.WorkListener workListener)
                throws javax.resource.spi.work.WorkException

  Specified by:
    `doWork` in interface `javax.resource.spi.work.WorkManager`
  Throws:
    `javax.resource.spi.work.WorkException`

### startWork

    public long startWork(javax.resource.spi.work.Work work)
                   throws javax.resource.spi.work.WorkException

  Specified by:
    `startWork` in interface `javax.resource.spi.work.WorkManager`
  Throws:
    `javax.resource.spi.work.WorkException`

### startWork

    public long startWork(javax.resource.spi.work.Work work,
                          long l,
                          javax.resource.spi.work.ExecutionContext executionContext,
                          javax.resource.spi.work.WorkListener workListener)
                   throws javax.resource.spi.work.WorkException

  Specified by:
    `startWork` in interface `javax.resource.spi.work.WorkManager`
  Throws:
    `javax.resource.spi.work.WorkException`

### scheduleWork

    public void scheduleWork(javax.resource.spi.work.Work work)
                      throws javax.resource.spi.work.WorkException

  Specified by:
    `scheduleWork` in interface `javax.resource.spi.work.WorkManager`
  Throws:
    `javax.resource.spi.work.WorkException`

### scheduleWork

    public void scheduleWork(javax.resource.spi.work.Work work,
                             long l,
                             javax.resource.spi.work.ExecutionContext executionContext,
                             javax.resource.spi.work.WorkListener workListener)
                      throws javax.resource.spi.work.WorkException

  Specified by:
    `scheduleWork` in interface `javax.resource.spi.work.WorkManager`
  Throws:
    `javax.resource.spi.work.WorkException`

### execute

    public void execute(Runnable command)

  Specified by:
    `execute` in interface `edu.emory.mathcs.backport.java.util.concurrent.Executor`

### start

    public void start()
               throws MuleException

  Specified by:
    `start` in interface `Startable`
  Throws:
    `MuleException`

### isStarted

    public boolean isStarted()

  Description copied from interface: `WorkManager`
  Is the WorkManager ready to accept work?

### stop

    public void stop()
              throws MuleException

  Throws:
    `MuleException`

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`

### getThreadingProfile

    public ImmutableThreadingProfile getThreadingProfile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.